io.vertx.core.eventbus

## Enum ReplyFailure

- java.lang.Object
- - java.lang.Enum<ReplyFailure>
  - - io.vertx.core.eventbus.ReplyFailure

- All Implemented Interfaces:
    Serializable, Comparable<ReplyFailure>

      public enum ReplyFailure
      extends Enum<ReplyFailure>

  Represents the type of reply failure
  Author:
    Tim Fox

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO_HANDLERS` The message send failed because no handlers were available to handle the message.
    `RECIPIENT_FAILURE` The message send failed because the recipient actively sent back a failure (rejected the message)
    `TIMEOUT` The message send failed because no reply was received before the timeout time.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReplyFailure` | `fromInt(int i)`
    `int` | `toInt()`
    `static ReplyFailure` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ReplyFailure[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TIMEOUT

          public static final ReplyFailure TIMEOUT

      The message send failed because no reply was received before the timeout time.

    - #### NO_HANDLERS

          public static final ReplyFailure NO_HANDLERS

      The message send failed because no handlers were available to handle the message.

    - #### RECIPIENT_FAILURE

          public static final ReplyFailure RECIPIENT_FAILURE

      The message send failed because the recipient actively sent back a failure (rejected the message)

  - ### Method Detail

    - #### values

          public static ReplyFailure[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReplyFailure c : ReplyFailure.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReplyFailure valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromInt

          public static ReplyFailure fromInt(int i)

    - #### toInt

          public int toInt()

Copyright © 2019 Eclipse. All rights reserved.